<div class="modal_header">
  <div class="modal_title">
    <span>{{activity.name}} [{{activity.activityNumber}}]</span>
  </div>
</div>
<div class="modal_body">
  <mat-tab-group>
    <mat-tab label="Details">
      <form (ngSubmit)="saveActivityDetails()" 
            id ="detailsForm"
            [formGroup]="detailsForm">
        <div style="padding: 15px 0;">
          <mat-form-field class="col-sm-6">
            <input placeholder="WBS Name"
                   matInput name="name"
                   formControlName="name" 
                   required
            />
            <mat-error *ngIf="showErrorService.hasError(detailsForm.get('name'))">
              <mat-error *ngFor="let error of showErrorService.getErrors(detailsForm.get('name'))">{{error}}</mat-error>
            </mat-error>
            <!-- [disabled]="activity.level == 1" -->
          </mat-form-field>
          <mat-form-field class="col-sm-12">
            <input placeholder="Description"
                   matInput name="activityDesc" 
                   formControlName="description" 
                   required
            />
            <mat-error *ngIf="showErrorService.hasError(detailsForm.get('description'))">
              <mat-error *ngFor="let error of showErrorService.getErrors(detailsForm.get('description'))">{{error}}</mat-error>
            </mat-error>
            <!-- [disabled]="activity.level == 1" -->
          </mat-form-field>
          <!-- <div formGroupName="date"> -->
            <mat-form-field class="col-md-5">
              <input matInput
                      [min]="minStartDate"
                      [max]="maxStartDate"
                      [matDatepicker]="PickerStartDay"
                      placeholder="Start Date"
                      formControlName="plannedStartDate"
                      (dateChange)="activityDateChange('start', $event)"
                      required
              />
              <!-- [disabled]="activity.level == 1" -->
              <mat-datepicker-toggle matSuffix [for]="PickerStartDay"></mat-datepicker-toggle>
              <mat-datepicker #PickerStartDay
                              [touchUi]="touch"
                              [startView]="'month'">
              </mat-datepicker>
              <mat-error *ngIf="showErrorService.hasError(detailsForm.get('plannedStartDate'))">
                <mat-error *ngFor="let error of showErrorService.getErrors(detailsForm.get('plannedStartDate'))">{{error}}</mat-error>
              </mat-error>
            </mat-form-field>
            <mat-form-field class="col-md-5">
              <input matInput
                      [min]="minEndDate"
                      [max]="maxEndDate"
                      [matDatepicker]="PickerEndDay"
                      placeholder="End Date"
                      formControlName="plannedEndDate"                   
                      (dateChange)="activityDateChange('end', $event)"
                      required
              />
              <!-- [disabled]="activity.level == 1" -->
              <mat-datepicker-toggle matSuffix [for]="PickerEndDay"></mat-datepicker-toggle>
              <mat-datepicker #PickerEndDay
                              [touchUi]="touch"
                              [startView]="'month'">
              </mat-datepicker>
              <mat-error *ngIf="showErrorService.hasError(detailsForm.get('plannedEndDate'))">
                <mat-error *ngFor="let error of showErrorService.getErrors(detailsForm.get('plannedEndDate'))">{{error}}</mat-error>
              </mat-error>
            </mat-form-field>
          <!-- </div> -->
          <mat-form-field class="col-sm-3">
            <input placeholder="Charge (MD):" 
                   matInput name="estimatedCharge"
                   formControlName="estimatedCharge"
            />
            <mat-error *ngIf="showErrorService.hasError(detailsForm.get('estimatedCharge'))">
              <mat-error *ngFor="let error of showErrorService.getErrors(detailsForm.get('estimatedCharge'))">{{error}}</mat-error>
            </mat-error>
            <!-- [disabled] = "activity.hasChilds || activity.level == 1" -->
            <button mat-button
                    type="button"
                    *ngIf="this.activity.assignements?.length" 
                    matSuffix mat-icon-button 
                    (click)="updateEstimatedCharge()"
            >
                <i class="icofont icofont-refresh"></i>
            </button>
          </mat-form-field>
          <mat-form-field class="col-sm-3">
            <input placeholder="Planned duration (Days):"
                   matInput name="plannedDuration"
                   formControlName="plannedDuration"
            />
            <mat-error *ngIf="showErrorService.hasError(detailsForm.get('plannedDuration'))">
              <mat-error *ngFor="let error of showErrorService.getErrors(detailsForm.get('plannedDuration'))">{{error}}</mat-error>
            </mat-error>
            <!-- [disabled]="activity.level == 1" -->
            <button mat-button
                    type="button"
                    *ngIf="activity.level != 1 && activity.plannedStartDate != undefind && activity.plannedEndDate != undefind" 
                    matSuffix mat-icon-button
                    (click)="updatePlannedDuration()"
            >
              <i class="icofont icofont-refresh"></i>
            </button>
          </mat-form-field>
          <mat-form-field class="col-sm-3">
            <input placeholder="Elapsed duration (Days):"
                    matInput name="elapsedDuration"
                    formControlName="elapsedDuration"
            />
            <mat-error *ngIf="showErrorService.hasError(detailsForm.get('elapsedDuration'))">
              <mat-error *ngFor="let error of showErrorService.getErrors(detailsForm.get('elapsedDuration'))">{{error}}</mat-error>
            </mat-error>
            <!-- [disabled]="true" -->
          </mat-form-field>
          <mat-form-field class="col-sm-3">
            <input placeholder="Advancement (%):"
                   matInput name="advancement"
                   [formControlName]="'advancement'"
            />
            <mat-error *ngIf="showErrorService.hasError(detailsForm.get('advancement'))">
              <mat-error *ngFor="let error of showErrorService.getErrors(detailsForm.get('advancement'))">{{error}}</mat-error>
            </mat-error>
            <!-- [disabled] = "activity.hasChilds || activity.level == 1" -->
          </mat-form-field>
          <mat-form-field class="col-sm-3">
            <input placeholder="Actual Cost (MD)"
                   matInput name="actualCost"
                   formControlName="actualCost"
            />
            <!-- [disabled]="activity.hasChilds || activity.level == 1" -->
          </mat-form-field><br>
          <div class="col-sm-12">
           <!-- <button type="submit" class="btn btn-primary" [disabled]="!detailsForm.valid || activity.level == 1" style="float:right">Save</button> -->
          </div>
        </div>
      </form>
    </mat-tab>
    

    <mat-tab label="{{assignmentTabLabel}}" *ngIf="!activity.hasChilds && activity.level != 1" [disabled]="!isEditMode">
      <form (submit)="AddAssignement(assign)" #assign="ngForm">
        <div style="padding: 15px 0;">

          <!-- <div class="row">
            <div class="col-sm-12">
              <angular2-multiselect [data]="UsersList" [(ngModel)]="newAssignement.UsersIds" 
                [settings]="dropdownSettings" 
                (onSelect)="onItemSelect($event)" 
                (onDeSelect)="OnItemDeSelect($event)"
                (onSelectAll)="onSelectAll($event)"
                (onDeSelectAll)="onDeSelectAll($event)"
                [ngModelOptions]="{standalone: true}">
              </angular2-multiselect>
            </div>

          </div> -->
          <mat-form-field class="col-sm-12">
            <mat-select multiple placeholder="Resources" #userSelect name="UsersIds" [(ngModel)]="newAssignement.UsersIds" required>
              <mat-option *ngFor="let user of UsersList" [value]="user.Id">
                {{ user.Description }}
              </mat-option>
            </mat-select>
          </mat-form-field>
          <mat-form-field class="col-md-6">
            <input matInput [matDatepicker]="PickerAssgPlannedStartDay"
                   placeholder="Planned Start Date" 
                   name="userPlannedStartDate" 
                   [(ngModel)]="newAssignement.userPlannedStartDate" 
                   required
                   (dateChange)="assignmentDateChange('start', $event)"
            />
            <mat-datepicker-toggle matSuffix [for]="PickerAssgPlannedStartDay"></mat-datepicker-toggle>
            <mat-datepicker #PickerAssgPlannedStartDay
                            [touchUi]="touch"
                            [startView]="'month'">
            </mat-datepicker>
          </mat-form-field>
          <mat-form-field class="col-md-6">
            <input matInput 
                   [matDatepicker]="PickerAssgPlannedEndDay" 
                   placeholder="Planned End Date" 
                   name="userPlannedEndDate" 
                   [(ngModel)]="newAssignement.userPlannedEndDate" 
                   required 
                   (dateChange)="assignmentDateChange('end', $event)"
            />
            <mat-datepicker-toggle matSuffix [for]="PickerAssgPlannedEndDay"></mat-datepicker-toggle>
            <mat-datepicker #PickerAssgPlannedEndDay
                            [touchUi]="touch"
                            [startView]="'month'">
            </mat-datepicker>
          </mat-form-field>
          <mat-form-field class="col-sm-6">
            <input placeholder="Charge (MD)"
                   matInput name="estimatedCharge" 
                   [(ngModel)]="newAssignement.estimatedCharge" 
                   required
            />
            <button mat-button
                    type="button"
                    *ngIf="newAssignement.userPlannedStartDate != undefind && newAssignement.userPlannedEndDate != undefind " 
                    matSuffix mat-icon-button
                    (click)="updateUserEstimCharge()"
            >
              <i class="icofont icofont-refresh"></i>
            </button>
          </mat-form-field>
          <!-- <mat-form-field class="col-sm-6">
            <input placeholder="Budgeted charge (MD)" matInput name="estimatedBudget" [(ngModel)]="newAssignement.estimatedBudget" required />
          </mat-form-field> -->

            <button type="submit" class="btn btn-primary" [disabled]="!assign.valid">Add</button>
          <div class="col-md-12">
            <table id="resourceTable" class="table table-striped table-no-bordered table-hover" cellspacing="0" style="width: 100%;">
              <thead>
                <tr>
                  <th>Member</th>
                  <th>Start Date</th>
                  <th>End Date</th>
                  <th>Charge</th>
                  <!-- <th>Bud. charge</th> -->
                  <th></th>
                </tr>
              </thead>
              <tbody>
                <tr *ngFor="let assign of pagedItems">
                  <td>{{assign.memberName}}</td>
                  <td>{{dtService.getShortFormat(assign.userPlannedStartDate)}}</td>
                  <td>{{dtService.getShortFormat(assign.userPlannedEndDate)}}</td>
                  <td>{{assign.estimatedCharge}}</td>
                  <!-- <td>{{assign.estimatedBudget}}</td> -->
                  <td><i class="icofont icofont-ui-delete icon-pointer" ></i></td>
                </tr>

              </tbody>
            </table>
            <!-- pager -->
            <ul *ngIf="pager.pages && pager.pages.length" class="pagination" style="float:right">
              <li [ngClass]="{disabled:pager.currentPage === 1}">
                <a (click)="setPage(1)">First</a>
              </li>
              <li [ngClass]="{disabled:pager.currentPage === 1}">
                <a (click)="setPage(pager.currentPage - 1)">Previous</a>
              </li>
              <li *ngFor="let page of pager.pages" [ngClass]="{active:pager.currentPage === page}">
                <a (click)="setPage(page)">{{page}}</a>
              </li>
              <li [ngClass]="{disabled:pager.currentPage === pager.totalPages}">
                <a (click)="setPage(pager.currentPage + 1)">Next</a>
              </li>
              <li [ngClass]="{disabled:pager.currentPage === pager.totalPages}">
                <a (click)="setPage(pager.totalPages)">Last</a>
              </li>
            </ul>
          </div>
        </div>
      </form>
    </mat-tab>

    <mat-tab label="KPI" [disabled]="!isEditMode">
      <div style="padding: 15px 0;">
        
        <mat-form-field class="col-sm-6">
          <input placeholder="Earned Value (MD)"
                 matInput name="earnedValue" 
                 [disabled]="true"
                 [(ngModel)]="activity.earnedValue" />
        </mat-form-field>
        <mat-form-field class="col-sm-6">
          <input placeholder="SPI" 
                 matInput name="SPI" 
                 [disabled]="true" 
                 [(ngModel)]="activity.spi"
          />
        </mat-form-field>
        <mat-form-field class="col-sm-6">
          <input placeholder="CPI"
                 matInput name="CPI" 
                 [disabled]="true" 
                 [(ngModel)]="activity.cpi"
          />
        </mat-form-field>
      </div>
    </mat-tab>

  </mat-tab-group>
</div>
<div class="modal_footer">
  <div class="pull-right">
    <button type="button"
      class="btn btn-outline-primary"
      (click)="revert()"
      [disabled]="isCancelBtnDisabled()"
      [ngClass] = "{'btn-disabled': isCancelBtnDisabled()}">
      Cancel
    </button>

    <button type="submit"
            class="btn btn-primary"
            form="detailsForm" 
            [disabled]="isSaveBtnDisabled()" 
            [ngClass] = "{'btn-disabled' : isSaveBtnDisabled()}">
            
      Save
    </button>
    <button type="button"
            class="btn btn-primary"
            (click)="close()"
            [disabled]="isCloseBtnDisabled()"
            [ngClass] = "{'btn-disabled' : isCloseBtnDisabled()}">
        Close
    </button>
  </div>
</div>

